### Enumeration

# WebKit2 ProcessModel

deprecated: 2.40 since: 2.4

#### Declaration

    enum WebKit2.ProcessModel

#### Description [src]

Enum values used for determining the `WebKitWebContext` process model.

Available since: 2.4

Deprecated since: 2.40

Please do not use it in newly written code.

#### Members

Name | Description
--- | ---
`WEBKIT_PROCESS_MODEL_SHARED_SECONDARY_PROCESS` | Deprecated 2.26.
`WEBKIT_PROCESS_MODEL_MULTIPLE_SECONDARY_PROCESSES` | Use one process for each `WebKitWebView`, while still allowing for some of them to share a process in certain situations. The main advantage of this process model is that the rendering process for a web view can crash while the rest of the views keep working normally. This process model is indicated for applications which may use a number of web views and the content of in each must not interfere with the rest — for example a full-fledged web browser with support for multiple tabs.